Linux Graphics Debugger tool doesn't work with nvidia 36x drivers

Hello,

Unfortunately, the Linux Graphics Debugger tool does not seem to work with the 36x driver series. I get the following when trying to use LD_PRELOAD with my program:
NGD: Starting GTI initialization…
Found libGL.so.1 but it does not appear to be an Nvidia driver library.
NGD: Fatal Error: Cannot find any system GLX library.

This does not happen with any of the 35x drivers.

Can you please try to install the driver with --no-glvnd-glx-client? This may help.

Hello,

I seem to have the same problem. However I am hesitant to reinstall, since it would mean a downgrade from the packaged 364.16 driver from the ArchLinux repositories to the 361.42 driver from the Nvidia driver website.
Is there any other way to remedy this without having to reinstall the driver?

Same problem here. Using the new 361.xx driver I’m unable to debug applications. Reinstalling the driver would require me to drop the distributions driver updates and I’d really dislike doing this.

Also, are there any new releases planned in near future that might solve issues with more recent linux drivers? I’m really looking forward to that! Graphics Debugger has been a very valuable tool in my current development environment and I’d regret to see it become dilapidated without any software updates.


UPDATE: I couldn’t resist to install the binary driver from the NVIDIA page providing the command line argument Arthur was suggesting and I can verify this as a working solution. Thank you very much for the hint. Anyway, I’d prefer being able to have distribution driver packages installed on my system which would require the Graphics Debugger to recognize GLVND enabled drivers.

Same problem. GTX 950, Driver: 367.27, Ubuntu 16.04.
The driver.run doesn’t seem to offer --no-glvnd-glx-client…

I had similar issue with GeForce GT 710/PCIe/SSE2 , Driver :367.44 , Ubutu 14.04

NGD: Starting GTI initialization…
Found libGL.so.1 but it does not appear to be an Nvidia driver library.
NGD: Fatal Error: Cannot find any system GLX library.

But as suggested by Arthur , reinstalled driver with “–no-glvnd-glx-client” worked for me .

It seems like driver 346.47 doesn’t accept “–no-glvnd-glx-client”
Is there anything else I can try?

Sorry, the driver version I use is 367.44.
Not sure why its not working for me.

Hello, I have the same problem, but I am on Manjaro linux. I use all the drivers the system installed for me. There was no single step where I can simply add “–no-glvnd-glx-client” to anything. Additionally glvnd is an nvidia project, so is it being worked on, that I do not need to have the “–noglvnd-glx-client” set?

Is this a duplicate of this post?
https://devtalk.nvidia.com/default/topic/930307/linux-graphics-debugger/libgl-so-1-problem-when-running-with-bumblebee/

Could somebody confirm getting the Linux Debugger to run on a Laptop?